List runs for a check
GET
https://api.vercel.com/v2/projects/{projectIdOrName}/checks/{checkId}/runsList all runs associated with a given check.
https://api.vercel.com/v2/projects/{projectIdOrName}/checks/{checkId}/runs
const response = await fetch('https://api.vercel.com/v2/projects/projectIdOrName/checks/checkId/runs?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "runs": [ { "blocks": "build-start", "completedAt": "123", "conclusion": "canceled", "conclusionText": "string", "createdAt": "123", "deploymentId": "example_id", "expectationRef": { "invocationAttempt": "123", "invocationId": "example_id", "jobDefinitionId": "example_id", "jobRunAttempt": "123" }, "expectationRevision": "123", "externalId": "example_id", "externalUrl": "https://example.com", "id": "icfg_1234567890", "name": "Example Name", "output": "value", "ownerId": "example_id", "projectId": "example_id", "requires": "build-ready", "startedAt": "123", "status": "completed", "targets": [], "taskSummary": { "failed": "123", "pending": "123", "succeeded": "123", "total": "123" }, "timeout": "123", "updatedAt": "123", "checkId": "example_id", "source": { "externalResourceId": "example_id", "integrationConfigurationId": "example_id", "integrationId": "example_id", "kind": "integration", "resourceId": "example_id" } } ]}AuthorizationbearerToken
Default authentication mechanism